Package com.smartgwt.client.tools

# Class ReifyLoadConfig

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.ReifyLoadConfig

All Implemented Interfaces:
  `HasHandlers`

public class ReifyLoadConfig extends DataClass
Configuration object for `Reify.loadReify()`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReifyLoadConfig()`
  `ReifyLoadConfig(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDataSource()`
  ID of a DataSource to open when Reify loads.
  `String`
  `getMode()`
  How to load the Reify editor: `"inline"` loads Reify as a `Canvas` in the current page; `"window"` opens Reify in a new browser tab.
  `static ReifyLoadConfig`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getProject()`
  Name of a project to open when Reify loads.
  `Map`
  `getReifyProperties()`
  For `mode:"inline"`, additional properties to apply to the `Reify` instance when it is created.
  `String`
  `getRtmChannel()`
  For `mode:"window"` with `useRTM:true`, the RTM channel name to use for communication.
  `String`
  `getScreen()`
  Name of a screen to open when Reify loads.
  `Layout`
  `getTarget()`
  For `mode:"inline"`, a `Layout` to add the Reify instance to as a member.
  `Boolean`
  `getUseRTM()`
  For `mode:"window"`, whether to use `com.smartgwt.client.docs.RealtimeMessaging` for communication between the host page and the Reify window.
  `String`
  `getWindowFeatures()`
  For `mode:"window"`, a window features string to pass to `window.open()`.
  `ReifyLoadConfig`
  `setDataSource(String dataSource)`
  ID of a DataSource to open when Reify loads.
  `ReifyLoadConfig`
  `setMode(String mode)`
  How to load the Reify editor: `"inline"` loads Reify as a `Canvas` in the current page; `"window"` opens Reify in a new browser tab.
  `ReifyLoadConfig`
  `setProject(String project)`
  Name of a project to open when Reify loads.
  `ReifyLoadConfig`
  `setReifyProperties(Map reifyProperties)`
  For `mode:"inline"`, additional properties to apply to the `Reify` instance when it is created.
  `ReifyLoadConfig`
  `setRtmChannel(String rtmChannel)`
  For `mode:"window"` with `useRTM:true`, the RTM channel name to use for communication.
  `ReifyLoadConfig`
  `setScreen(String screen)`
  Name of a screen to open when Reify loads.
  `ReifyLoadConfig`
  `setTarget(Layout target)`
  For `mode:"inline"`, a `Layout` to add the Reify instance to as a member.
  `ReifyLoadConfig`
  `setUseRTM(Boolean useRTM)`
  For `mode:"window"`, whether to use `com.smartgwt.client.docs.RealtimeMessaging` for communication between the host page and the Reify window.
  `ReifyLoadConfig`
  `setWindowFeatures(String windowFeatures)`
  For `mode:"window"`, a window features string to pass to `window.open()`.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReifyLoadConfig

    public ReifyLoadConfig()

  - ### ReifyLoadConfig

    public ReifyLoadConfig(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ReifyLoadConfig getOrCreateRef(JavaScriptObject jsObj)

  - ### setDataSource

    public ReifyLoadConfig setDataSource(String dataSource)
    ID of a DataSource to open when Reify loads.
    Parameters:
      `dataSource` - New dataSource value. Default value is null
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getDataSource

    public String getDataSource()
    ID of a DataSource to open when Reify loads.
    Returns:
      Current dataSource value. Default value is null

  - ### setMode

    public ReifyLoadConfig setMode(String mode)
    How to load the Reify editor: `"inline"` loads Reify as a `Canvas` in the current page; `"window"` opens Reify in a new browser tab.
    Parameters:
      `mode` - New mode value. Default value is "window"
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getMode

    public String getMode()
    How to load the Reify editor: `"inline"` loads Reify as a `Canvas` in the current page; `"window"` opens Reify in a new browser tab.
    Returns:
      Current mode value. Default value is "window"

  - ### setProject

    public ReifyLoadConfig setProject(String project)
    Name of a project to open when Reify loads.
    Parameters:
      `project` - New project value. Default value is null
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getProject

    public String getProject()
    Name of a project to open when Reify loads.
    Returns:
      Current project value. Default value is null

  - ### setReifyProperties

    public ReifyLoadConfig setReifyProperties(Map reifyProperties)
    For `mode:"inline"`, additional properties to apply to the `Reify` instance when it is created.
    Parameters:
      `reifyProperties` - New reifyProperties value. Default value is null
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getReifyProperties

    public Map getReifyProperties()
    For `mode:"inline"`, additional properties to apply to the `Reify` instance when it is created.
    Returns:
      Current reifyProperties value. Default value is null

  - ### setRtmChannel

    public ReifyLoadConfig setRtmChannel(String rtmChannel)
    For `mode:"window"` with `useRTM:true`, the RTM channel name to use for communication. Defaults to a randomly generated session ID.
    Parameters:
      `rtmChannel` - New rtmChannel value. Default value is null
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getRtmChannel

    public String getRtmChannel()
    For `mode:"window"` with `useRTM:true`, the RTM channel name to use for communication. Defaults to a randomly generated session ID.
    Returns:
      Current rtmChannel value. Default value is null

  - ### setScreen

    public ReifyLoadConfig setScreen(String screen)
    Name of a screen to open when Reify loads.
    Parameters:
      `screen` - New screen value. Default value is null
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getScreen

    public String getScreen()
    Name of a screen to open when Reify loads.
    Returns:
      Current screen value. Default value is null

  - ### setTarget

    public ReifyLoadConfig setTarget(Layout target)
    For `mode:"inline"`, a `Layout` to add the Reify instance to as a member. If not specified, the Reify instance is created but not added to the page ? call `Canvas.draw()` or add it to a layout manually.
    Parameters:
      `target` - New target value. Default value is null
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getTarget

    public Layout getTarget()
    For `mode:"inline"`, a `Layout` to add the Reify instance to as a member. If not specified, the Reify instance is created but not added to the page ? call `Canvas.draw()` or add it to a layout manually.
    Returns:
      Current target value. Default value is null

  - ### setUseRTM

    public ReifyLoadConfig setUseRTM(Boolean useRTM)
    For `mode:"window"`, whether to use `com.smartgwt.client.docs.RealtimeMessaging` for communication between the host page and the Reify window. By default, `window.postMessage` is used, which requires same-origin. Set `useRTM:true` for cross-origin scenarios.
    Parameters:
      `useRTM` - New useRTM value. Default value is false
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getUseRTM

    public Boolean getUseRTM()
    For `mode:"window"`, whether to use `com.smartgwt.client.docs.RealtimeMessaging` for communication between the host page and the Reify window. By default, `window.postMessage` is used, which requires same-origin. Set `useRTM:true` for cross-origin scenarios.
    Returns:
      Current useRTM value. Default value is false

  - ### setWindowFeatures

    public ReifyLoadConfig setWindowFeatures(String windowFeatures)
    For `mode:"window"`, a window features string to pass to `window.open()`. See the MDN documentation for `Window.open()` for valid values.
    Parameters:
      `windowFeatures` - New windowFeatures value. Default value is null
    Returns:
      `ReifyLoadConfig` instance, for chaining setter calls

  - ### getWindowFeatures

    public String getWindowFeatures()
    For `mode:"window"`, a window features string to pass to `window.open()`. See the MDN documentation for `Window.open()` for valid values.
    Returns:
      Current windowFeatures value. Default value is null